<form [formGroup]="newTransactionForm" novalidate (ngSubmit)="onSubmit()">
  <mat-card class="new-transaction-card">

    <!-- Title of the form -->
    <mat-card-header>
      <mat-card-title>Transaction Information</mat-card-title>
    </mat-card-header>

    <!-- Content of the form -->
    <mat-card-content>

      <div class="row">
        <div class="col">
          <mat-form-field class="half-width">
            <input type="number" matInput placeholder="Amount" formControlName="billAmount">
            <mat-error *ngIf="newTransactionForm.controls['billAmount'].hasError('required')">
              Amount is <strong>required</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <mat-form-field class="half-width">
            <input type="date" matInput placeholder="Date" formControlName="billDate">
            <mat-error *ngIf="newTransactionForm.controls['billDate'].hasError('required')">
              Date is <strong>required</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <mat-form-field class="half-width">
            <textarea matInput placeholder="Communication" formControlName="billCommunication"></textarea>
            <mat-error *ngIf="newTransactionForm.controls['billCommunication'].hasError('required')">
              Communication is <strong>required</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>

    </mat-card-content>
    <mat-card-actions>
      <button mat-raised-button color="primary" type="submit">Add transaction</button>
    </mat-card-actions>
  </mat-card>
</form>
